Download it now!
Bug 72598 - [Easyhack] Remove SunStudio cruft from code base
Summary: [Easyhack] Remove SunStudio cruft from code base
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jelle van der Waa
URL:
Whiteboard: target:4.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, skillScript, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-12-11 13:58 UTC by Michael Stahl (CIB)
Modified: 2016-02-18 16:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2013-12-11 13:58:00 UTC
There are large numbers of workarounds and ifdefs for SunStudio
in the entire code base.  Since we have no interest in using
SunStudio's buggy C++ compiler (and LO has been successfully
built with GCC on Solaris or Solaris-derived OSes), all these
ifdefs are just clutter and can be removed.

some useful search terms are COM with value of "C52",
"sunpro" and "__SUNPRO_CC" "__SUNPRO_C"
Comment 1 Jelle van der Waa 2013-12-12 20:43:00 UTC
I am going to work on this easyhack.
Comment 2 Commit Notification 2013-12-13 09:07:26 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c69b6417af9d03b81813e6d56cdd082d511aef24

fdo#72598 Remove SunStudio cruft from code base



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-12-16 20:53:11 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66397a4fd222757a8bd651c0c297615319eac4a5

fdo#72598 Remove SunStudio cruft from code base



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-12-17 11:58:06 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=417c85bf582e0d1dbabb7b0f16d60a394d537e61

fdo#72598 Remove SunStudio cruft from code base



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-12-18 15:55:03 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e06bd6cb5199b5164975eff97dd22b0a69829e5

fdo#72598 Remove SunStudio cruft from code base



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-12-18 17:08:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bffa142c530b638e245e1aca58a27414d65e927

fdo#72598: odk: remove SunStudio support



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-18 17:08:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fab34eb54fffaaf1fc32a0901436d8940f6c8b43

fdo#72598: remove last uses of "C52"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2014-01-14 12:53:44 UTC
this should be fixed now, at least the easily identifiable workarounds
Comment 9 Robinson Tryon (qubit) 2015-12-15 23:19:24 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript SkillCpp TopicCleanup )
[NinjaEdit]
Comment 10 Robinson Tryon (qubit) 2016-02-18 16:37:24 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]